namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghre_CourseSnap(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_CourseSnapController : BaseController<IGhre_CourseSnapServices, Ghre_CourseSnap, Ghre_CourseSnapDto, InsertGhre_CourseSnapInput, EditGhre_CourseSnapInput>
{
    public Ghre_CourseSnapController(IGhre_CourseSnapServices service) : base(service)
    {
    }
}